from typing import Dict

from .. import bindings as xg

VK_FORMAT_TO_XG: Dict[int, xg.TextureFormat] = {
    0: xg.TextureFormat.Undefined,  # VK_FORMAT_UNDEFINED
    #  1: VK_FORMAT_R4G4_UNORM_PACK8 (xg.TextureFormat.R4G4UnormPACK8)
    #  2: VK_FORMAT_R4G4B4A4_UNORM_PACK16 (xg.TextureFormat.R4G4B4A4UnormPACK16)
    #  3: VK_FORMAT_B4G4R4A4_UNORM_PACK16 (xg.TextureFormat.B4G4R4A4UnormPACK16)
    #  4: VK_FORMAT_R5G6B5_UNORM_PACK16 (xg.TextureFormat.R5G6B5UnormPACK16)
    #  5: VK_FORMAT_B5G6R5_UNORM_PACK16 (xg.TextureFormat.B5G6R5UnormPACK16)
    #  6: VK_FORMAT_R5G5B5A1_UNORM_PACK16 (xg.TextureFormat.R5G5B5A1UnormPACK16)
    #  7: VK_FORMAT_B5G5R5A1_UNORM_PACK16 (xg.TextureFormat.B5G5R5A1UnormPACK16)
    #  8: VK_FORMAT_A1R5G5B5_UNORM_PACK16 (xg.TextureFormat.A1R5G5B5UnormPACK16)
    9: xg.TextureFormat.R8Unorm,  # VK_FORMAT_R8_UNORM
    10: xg.TextureFormat.R8Snorm,  # VK_FORMAT_R8_SNORM
    #  11: VK_FORMAT_R8_USCALED (xg.TextureFormat.R8USCALED)
    #  12: VK_FORMAT_R8_SSCALED (xg.TextureFormat.R8SSCALED)
    13: xg.TextureFormat.R8Uint,  # VK_FORMAT_R8_UINT
    14: xg.TextureFormat.R8Sint,  # VK_FORMAT_R8_SINT
    #  15: VK_FORMAT_R8_SRGB (xg.TextureFormat.R8Srgb)
    16: xg.TextureFormat.RG8Unorm,  # VK_FORMAT_R8G8_UNORM
    17: xg.TextureFormat.RG8Snorm,  # VK_FORMAT_R8G8_SNORM
    #  18: VK_FORMAT_R8G8_USCALED (xg.TextureFormat.RG8USCALED)
    #  19: VK_FORMAT_R8G8_SSCALED (xg.TextureFormat.RG8SSCALED)
    20: xg.TextureFormat.RG8Uint,  # VK_FORMAT_R8G8_UINT
    21: xg.TextureFormat.RG8Sint,  # VK_FORMAT_R8G8_SINT
    #  22: VK_FORMAT_R8G8_SRGB (xg.TextureFormat.RG8Srgb)
    #  23: VK_FORMAT_R8G8B8_UNORM (xg.TextureFormat.RGB8Unorm)
    #  24: VK_FORMAT_R8G8B8_SNORM (xg.TextureFormat.RGB8Snorm)
    #  25: VK_FORMAT_R8G8B8_USCALED (xg.TextureFormat.RGB8USCALED)
    #  26: VK_FORMAT_R8G8B8_SSCALED (xg.TextureFormat.RGB8SSCALED)
    #  27: VK_FORMAT_R8G8B8_UINT (xg.TextureFormat.RGB8Uint)
    #  28: VK_FORMAT_R8G8B8_SINT (xg.TextureFormat.RGB8Sint)
    #  29: VK_FORMAT_R8G8B8_SRGB (xg.TextureFormat.RGB8Srgb)
    #  30: VK_FORMAT_B8G8R8_UNORM (xg.TextureFormat.B8G8R8Unorm)
    #  31: VK_FORMAT_B8G8R8_SNORM (xg.TextureFormat.B8G8R8Snorm)
    #  32: VK_FORMAT_B8G8R8_USCALED (xg.TextureFormat.B8G8R8USCALED)
    #  33: VK_FORMAT_B8G8R8_SSCALED (xg.TextureFormat.B8G8R8SSCALED)
    #  34: VK_FORMAT_B8G8R8_UINT (xg.TextureFormat.B8G8R8Uint)
    #  35: VK_FORMAT_B8G8R8_SINT (xg.TextureFormat.B8G8R8Sint)
    #  36: VK_FORMAT_B8G8R8_SRGB (xg.TextureFormat.B8G8R8Srgb)
    37: xg.TextureFormat.RGBA8Unorm,  # VK_FORMAT_R8G8B8A8_UNORM
    38: xg.TextureFormat.RGBA8Snorm,  # VK_FORMAT_R8G8B8A8_SNORM
    #  39: VK_FORMAT_R8G8B8A8_USCALED (xg.TextureFormat.RGBA8USCALED)
    #  40: VK_FORMAT_R8G8B8A8_SSCALED (xg.TextureFormat.RGBA8SSCALED)
    41: xg.TextureFormat.RGBA8Uint,  # VK_FORMAT_R8G8B8A8_UINT
    42: xg.TextureFormat.RGBA8Sint,  # VK_FORMAT_R8G8B8A8_SINT
    43: xg.TextureFormat.RGBA8UnormSrgb,  # VK_FORMAT_R8G8B8A8_SRGB
    44: xg.TextureFormat.BGRA8Unorm,  # VK_FORMAT_B8G8R8A8_UNORM
    #  45: VK_FORMAT_B8G8R8A8_SNORM (xg.TextureFormat.BGRA8Snorm)
    #  46: VK_FORMAT_B8G8R8A8_USCALED (xg.TextureFormat.BGRA8USCALED)
    #  47: VK_FORMAT_B8G8R8A8_SSCALED (xg.TextureFormat.BGRA8SSCALED)
    #  48: VK_FORMAT_B8G8R8A8_UINT (xg.TextureFormat.BGRA8Uint)
    #  49: VK_FORMAT_B8G8R8A8_SINT (xg.TextureFormat.BGRA8Sint)
    50: xg.TextureFormat.BGRA8UnormSrgb,  # VK_FORMAT_B8G8R8A8_SRGB
    #  51: VK_FORMAT_A8B8G8R8_UNORM_PACK32 (xg.TextureFormat.A8B8G8R8UnormPACK32)
    #  52: VK_FORMAT_A8B8G8R8_SNORM_PACK32 (xg.TextureFormat.A8B8G8R8SnormPACK32)
    #  53: VK_FORMAT_A8B8G8R8_USCALED_PACK32 (xg.TextureFormat.A8B8G8R8USCALEDPACK32)
    #  54: VK_FORMAT_A8B8G8R8_SSCALED_PACK32 (xg.TextureFormat.A8B8G8R8SSCALEDPACK32)
    #  55: VK_FORMAT_A8B8G8R8_UINT_PACK32 (xg.TextureFormat.A8B8G8R8UintPACK32)
    #  56: VK_FORMAT_A8B8G8R8_SINT_PACK32 (xg.TextureFormat.A8B8G8R8SintPACK32)
    #  57: VK_FORMAT_A8B8G8R8_SRGB_PACK32 (xg.TextureFormat.A8B8G8R8SrgbPACK32)
    #  58: VK_FORMAT_A2R10G10B10_UNORM_PACK32 (xg.TextureFormat.A2R10G10B10UnormPACK32)
    #  59: VK_FORMAT_A2R10G10B10_SNORM_PACK32 (xg.TextureFormat.A2R10G10B10SnormPACK32)
    #  60: VK_FORMAT_A2R10G10B10_USCALED_PACK32 (xg.TextureFormat.A2R10G10B10USCALEDPACK32)
    #  61: VK_FORMAT_A2R10G10B10_SSCALED_PACK32 (xg.TextureFormat.A2R10G10B10SSCALEDPACK32)
    62: xg.TextureFormat.RGB10A2Uint,  # VK_FORMAT_A2R10G10B10_UINT_PACK32
    #  63: VK_FORMAT_A2R10G10B10_SINT_PACK32 (xg.TextureFormat.A2R10G10B10SintPACK32)
    64: xg.TextureFormat.RGB10A2Unorm,  # VK_FORMAT_A2B10G10R10_UNORM_PACK32
    #  65: VK_FORMAT_A2B10G10R10_SNORM_PACK32 (xg.TextureFormat.A2B10G10R10SnormPACK32)
    #  66: VK_FORMAT_A2B10G10R10_USCALED_PACK32 (xg.TextureFormat.A2B10G10R10USCALEDPACK32)
    #  67: VK_FORMAT_A2B10G10R10_SSCALED_PACK32 (xg.TextureFormat.A2B10G10R10SSCALEDPACK32)
    #  68: VK_FORMAT_A2B10G10R10_UINT_PACK32 (xg.TextureFormat.A2B10G10R10UintPACK32)
    #  69: VK_FORMAT_A2B10G10R10_SINT_PACK32 (xg.TextureFormat.A2B10G10R10SintPACK32)
    #  70: VK_FORMAT_R16_UNORM (xg.TextureFormat.R16Unorm)
    #  71: VK_FORMAT_R16_SNORM (xg.TextureFormat.R16Snorm)
    #  72: VK_FORMAT_R16_USCALED (xg.TextureFormat.R16USCALED)
    #  73: VK_FORMAT_R16_SSCALED (xg.TextureFormat.R16SSCALED)
    74: xg.TextureFormat.R16Uint,  # VK_FORMAT_R16_UINT
    75: xg.TextureFormat.R16Sint,  # VK_FORMAT_R16_SINT
    76: xg.TextureFormat.R16Float,  # VK_FORMAT_R16_SFLOAT
    #  77: VK_FORMAT_R16G16_UNORM (xg.TextureFormat.RG16Unorm)
    #  78: VK_FORMAT_R16G16_SNORM (xg.TextureFormat.RG16Snorm)
    #  79: VK_FORMAT_R16G16_USCALED (xg.TextureFormat.RG16USCALED)
    #  80: VK_FORMAT_R16G16_SSCALED (xg.TextureFormat.RG16SSCALED)
    81: xg.TextureFormat.RG16Uint,  # VK_FORMAT_R16G16_UINT
    82: xg.TextureFormat.RG16Sint,  # VK_FORMAT_R16G16_SINT
    83: xg.TextureFormat.RG16Float,  # VK_FORMAT_R16G16_SFLOAT
    #  84: VK_FORMAT_R16G16B16_UNORM (xg.TextureFormat.RGB16Unorm)
    #  85: VK_FORMAT_R16G16B16_SNORM (xg.TextureFormat.RGB16Snorm)
    #  86: VK_FORMAT_R16G16B16_USCALED (xg.TextureFormat.RGB16USCALED)
    #  87: VK_FORMAT_R16G16B16_SSCALED (xg.TextureFormat.RGB16SSCALED)
    #  88: VK_FORMAT_R16G16B16_UINT (xg.TextureFormat.RGB16Uint)
    #  89: VK_FORMAT_R16G16B16_SINT (xg.TextureFormat.RGB16Sint)
    #  90: VK_FORMAT_R16G16B16_SFLOAT (xg.TextureFormat.RGB16Float)
    #  91: VK_FORMAT_R16G16B16A16_UNORM (xg.TextureFormat.RGBA16Unorm)
    #  92: VK_FORMAT_R16G16B16A16_SNORM (xg.TextureFormat.RGBA16Snorm)
    #  93: VK_FORMAT_R16G16B16A16_USCALED (xg.TextureFormat.RGBA16USCALED)
    #  94: VK_FORMAT_R16G16B16A16_SSCALED (xg.TextureFormat.RGBA16SSCALED)
    95: xg.TextureFormat.RGBA16Uint,  # VK_FORMAT_R16G16B16A16_UINT
    96: xg.TextureFormat.RGBA16Sint,  # VK_FORMAT_R16G16B16A16_SINT
    97: xg.TextureFormat.RGBA16Float,  # VK_FORMAT_R16G16B16A16_SFLOAT
    98: xg.TextureFormat.R32Uint,  # VK_FORMAT_R32_UINT
    99: xg.TextureFormat.R32Sint,  # VK_FORMAT_R32_SINT
    100: xg.TextureFormat.R32Float,  # VK_FORMAT_R32_SFLOAT
    101: xg.TextureFormat.RG32Uint,  # VK_FORMAT_R32G32_UINT
    102: xg.TextureFormat.RG32Sint,  # VK_FORMAT_R32G32_SINT
    103: xg.TextureFormat.RG32Float,  # VK_FORMAT_R32G32_SFLOAT
    #  104: VK_FORMAT_R32G32B32_UINT (xg.TextureFormat.RGB32Uint)
    #  105: VK_FORMAT_R32G32B32_SINT (xg.TextureFormat.RGB32Sint)
    #  106: VK_FORMAT_R32G32B32_SFLOAT (xg.TextureFormat.RGB32Float)
    107: xg.TextureFormat.RGBA32Uint,  # VK_FORMAT_R32G32B32A32_UINT
    108: xg.TextureFormat.RGBA32Sint,  # VK_FORMAT_R32G32B32A32_SINT
    109: xg.TextureFormat.RGBA32Float,  # VK_FORMAT_R32G32B32A32_SFLOAT
    #  110: VK_FORMAT_R64_UINT (xg.TextureFormat.R64Uint)
    #  111: VK_FORMAT_R64_SINT (xg.TextureFormat.R64Sint)
    #  112: VK_FORMAT_R64_SFLOAT (xg.TextureFormat.R64Float)
    #  113: VK_FORMAT_R64G64_UINT (xg.TextureFormat.R64G64Uint)
    #  114: VK_FORMAT_R64G64_SINT (xg.TextureFormat.R64G64Sint)
    #  115: VK_FORMAT_R64G64_SFLOAT (xg.TextureFormat.R64G64Float)
    #  116: VK_FORMAT_R64G64B64_UINT (xg.TextureFormat.R64G64B64Uint)
    #  117: VK_FORMAT_R64G64B64_SINT (xg.TextureFormat.R64G64B64Sint)
    #  118: VK_FORMAT_R64G64B64_SFLOAT (xg.TextureFormat.R64G64B64Float)
    #  119: VK_FORMAT_R64G64B64A64_UINT (xg.TextureFormat.R64G64B64A64Uint)
    #  120: VK_FORMAT_R64G64B64A64_SINT (xg.TextureFormat.R64G64B64A64Sint)
    #  121: VK_FORMAT_R64G64B64A64_SFLOAT (xg.TextureFormat.R64G64B64A64Float)
    122: xg.TextureFormat.RG11B10Ufloat,  # VK_FORMAT_B10G11R11_UFLOAT_PACK32
    123: xg.TextureFormat.RGB9E5Ufloat,  # VK_FORMAT_E5B9G9R9_UFLOAT_PACK32
    124: xg.TextureFormat.Depth16Unorm,  # VK_FORMAT_D16_UNORM
    125: xg.TextureFormat.Depth24Plus,  # VK_FORMAT_X8_D24_UNORM_PACK32
    126: xg.TextureFormat.Depth32Float,  # VK_FORMAT_D32_SFLOAT
    127: xg.TextureFormat.Stencil8,  # VK_FORMAT_S8_UINT
    #  128: VK_FORMAT_D16_UNORM_S8_UINT (xg.TextureFormat.Depth16UnormS8Uint)
    129: xg.TextureFormat.Depth24PlusStencil8,  # VK_FORMAT_D24_UNORM_S8_UINT
    130: xg.TextureFormat.Depth32FloatStencil8,  # VK_FORMAT_D32_SFLOAT_S8_UINT
    #  131: VK_FORMAT_BC1_RGB_UNORM_BLOCK (xg.TextureFormat.BC1RGBUnorm)
    #  132: VK_FORMAT_BC1_RGB_SRGB_BLOCK (xg.TextureFormat.BC1RGBSrgb)
    133: xg.TextureFormat.BC1RGBAUnorm,  # VK_FORMAT_BC1_RGBA_UNORM_BLOCK
    134: xg.TextureFormat.BC1RGBAUnormSrgb,  # VK_FORMAT_BC1_RGBA_SRGB_BLOCK
    135: xg.TextureFormat.BC2RGBAUnorm,  # VK_FORMAT_BC2_UNORM_BLOCK
    136: xg.TextureFormat.BC2RGBAUnormSrgb,  # VK_FORMAT_BC2_SRGB_BLOCK
    137: xg.TextureFormat.BC3RGBAUnorm,  # VK_FORMAT_BC3_UNORM_BLOCK
    138: xg.TextureFormat.BC3RGBAUnormSrgb,  # VK_FORMAT_BC3_SRGB_BLOCK
    139: xg.TextureFormat.BC4RUnorm,  # VK_FORMAT_BC4_UNORM_BLOCK
    140: xg.TextureFormat.BC4RSnorm,  # VK_FORMAT_BC4_SNORM_BLOCK
    141: xg.TextureFormat.BC5RGUnorm,  # VK_FORMAT_BC5_UNORM_BLOCK
    142: xg.TextureFormat.BC5RGSnorm,  # VK_FORMAT_BC5_SNORM_BLOCK
    143: xg.TextureFormat.BC6HRGBUfloat,  # VK_FORMAT_BC6H_UFLOAT_BLOCK
    144: xg.TextureFormat.BC6HRGBFloat,  # VK_FORMAT_BC6H_SFLOAT_BLOCK
    145: xg.TextureFormat.BC7RGBAUnorm,  # VK_FORMAT_BC7_UNORM_BLOCK
    146: xg.TextureFormat.BC7RGBAUnormSrgb,  # VK_FORMAT_BC7_SRGB_BLOCK
    147: xg.TextureFormat.ETC2RGB8Unorm,  # VK_FORMAT_ETC2_R8G8B8_UNORM_BLOCK
    148: xg.TextureFormat.ETC2RGB8UnormSrgb,  # VK_FORMAT_ETC2_R8G8B8_SRGB_BLOCK
    149: xg.TextureFormat.ETC2RGB8A1Unorm,  # VK_FORMAT_ETC2_R8G8B8A1_UNORM_BLOCK
    150: xg.TextureFormat.ETC2RGB8A1UnormSrgb,  # VK_FORMAT_ETC2_R8G8B8A1_SRGB_BLOCK
    151: xg.TextureFormat.ETC2RGBA8Unorm,  # VK_FORMAT_ETC2_R8G8B8A8_UNORM_BLOCK
    152: xg.TextureFormat.ETC2RGBA8UnormSrgb,  # VK_FORMAT_ETC2_R8G8B8A8_SRGB_BLOCK
    153: xg.TextureFormat.EACR11Unorm,  # VK_FORMAT_EAC_R11_UNORM_BLOCK
    154: xg.TextureFormat.EACR11Snorm,  # VK_FORMAT_EAC_R11_SNORM_BLOCK
    155: xg.TextureFormat.EACRG11Unorm,  # VK_FORMAT_EAC_R11G11_UNORM_BLOCK
    156: xg.TextureFormat.EACRG11Snorm,  # VK_FORMAT_EAC_R11G11_SNORM_BLOCK
    157: xg.TextureFormat.ASTC4x4Unorm,  # VK_FORMAT_ASTC_4x4_UNORM_BLOCK
    158: xg.TextureFormat.ASTC4x4UnormSrgb,  # VK_FORMAT_ASTC_4x4_SRGB_BLOCK
    159: xg.TextureFormat.ASTC5x4Unorm,  # VK_FORMAT_ASTC_5x4_UNORM_BLOCK
    160: xg.TextureFormat.ASTC5x4UnormSrgb,  # VK_FORMAT_ASTC_5x4_SRGB_BLOCK
    161: xg.TextureFormat.ASTC5x5Unorm,  # VK_FORMAT_ASTC_5x5_UNORM_BLOCK
    162: xg.TextureFormat.ASTC5x5UnormSrgb,  # VK_FORMAT_ASTC_5x5_SRGB_BLOCK
    163: xg.TextureFormat.ASTC6x5Unorm,  # VK_FORMAT_ASTC_6x5_UNORM_BLOCK
    164: xg.TextureFormat.ASTC6x5UnormSrgb,  # VK_FORMAT_ASTC_6x5_SRGB_BLOCK
    165: xg.TextureFormat.ASTC6x6Unorm,  # VK_FORMAT_ASTC_6x6_UNORM_BLOCK
    166: xg.TextureFormat.ASTC6x6UnormSrgb,  # VK_FORMAT_ASTC_6x6_SRGB_BLOCK
    167: xg.TextureFormat.ASTC8x5Unorm,  # VK_FORMAT_ASTC_8x5_UNORM_BLOCK
    168: xg.TextureFormat.ASTC8x5UnormSrgb,  # VK_FORMAT_ASTC_8x5_SRGB_BLOCK
    169: xg.TextureFormat.ASTC8x6Unorm,  # VK_FORMAT_ASTC_8x6_UNORM_BLOCK
    170: xg.TextureFormat.ASTC8x6UnormSrgb,  # VK_FORMAT_ASTC_8x6_SRGB_BLOCK
    171: xg.TextureFormat.ASTC8x8Unorm,  # VK_FORMAT_ASTC_8x8_UNORM_BLOCK
    172: xg.TextureFormat.ASTC8x8UnormSrgb,  # VK_FORMAT_ASTC_8x8_SRGB_BLOCK
    173: xg.TextureFormat.ASTC10x5Unorm,  # VK_FORMAT_ASTC_10x5_UNORM_BLOCK
    174: xg.TextureFormat.ASTC10x5UnormSrgb,  # VK_FORMAT_ASTC_10x5_SRGB_BLOCK
    175: xg.TextureFormat.ASTC10x6Unorm,  # VK_FORMAT_ASTC_10x6_UNORM_BLOCK
    176: xg.TextureFormat.ASTC10x6UnormSrgb,  # VK_FORMAT_ASTC_10x6_SRGB_BLOCK
    177: xg.TextureFormat.ASTC10x8Unorm,  # VK_FORMAT_ASTC_10x8_UNORM_BLOCK
    178: xg.TextureFormat.ASTC10x8UnormSrgb,  # VK_FORMAT_ASTC_10x8_SRGB_BLOCK
    179: xg.TextureFormat.ASTC10x10Unorm,  # VK_FORMAT_ASTC_10x10_UNORM_BLOCK
    180: xg.TextureFormat.ASTC10x10UnormSrgb,  # VK_FORMAT_ASTC_10x10_SRGB_BLOCK
    181: xg.TextureFormat.ASTC12x10Unorm,  # VK_FORMAT_ASTC_12x10_UNORM_BLOCK
    182: xg.TextureFormat.ASTC12x10UnormSrgb,  # VK_FORMAT_ASTC_12x10_SRGB_BLOCK
    183: xg.TextureFormat.ASTC12x12Unorm,  # VK_FORMAT_ASTC_12x12_UNORM_BLOCK
    184: xg.TextureFormat.ASTC12x12UnormSrgb,  # VK_FORMAT_ASTC_12x12_SRGB_BLOCK
    #  1000156000: VK_FORMAT_G8B8G8R8_422_UNORM (xg.TextureFormat.G8B8G8R8422Unorm)
    #  1000156001: VK_FORMAT_B8G8R8G8_422_UNORM (xg.TextureFormat.B8G8R8G8422Unorm)
    #  1000156002: VK_FORMAT_G8_B8_R8_3PLANE_420_UNORM (xg.TextureFormat.G8B8R83PLANE420Unorm)
    #  1000156003: VK_FORMAT_G8_B8R8_2PLANE_420_UNORM (xg.TextureFormat.G8B8R82PLANE420Unorm)
    #  1000156004: VK_FORMAT_G8_B8_R8_3PLANE_422_UNORM (xg.TextureFormat.G8B8R83PLANE422Unorm)
    #  1000156005: VK_FORMAT_G8_B8R8_2PLANE_422_UNORM (xg.TextureFormat.G8B8R82PLANE422Unorm)
    #  1000156006: VK_FORMAT_G8_B8_R8_3PLANE_444_UNORM (xg.TextureFormat.G8B8R83PLANE444Unorm)
    #  1000156007: VK_FORMAT_R10X6_UNORM_PACK16 (xg.TextureFormat.R10X6UnormPACK16)
    #  1000156008: VK_FORMAT_R10X6G10X6_UNORM_2PACK16 (xg.TextureFormat.R10X6G10X6Unorm2PACK16)
    #  1000156009: VK_FORMAT_R10X6G10X6B10X6A10X6_UNORM_4PACK16 (xg.TextureFormat.R10X6G10X6B10X6A10X6Unorm4PACK16)
    #  1000156010: VK_FORMAT_G10X6B10X6G10X6R10X6_422_UNORM_4PACK16 (xg.TextureFormat.G10X6B10X6G10X6R10X6422Unorm4PACK16)
    #  1000156011: VK_FORMAT_B10X6G10X6R10X6G10X6_422_UNORM_4PACK16 (xg.TextureFormat.B10X6G10X6R10X6G10X6422Unorm4PACK16)
    #  1000156012: VK_FORMAT_G10X6_B10X6_R10X6_3PLANE_420_UNORM_3PACK16 (xg.TextureFormat.G10X6B10X6R10X63PLANE420Unorm3PACK16)
    #  1000156013: VK_FORMAT_G10X6_B10X6R10X6_2PLANE_420_UNORM_3PACK16 (xg.TextureFormat.G10X6B10X6R10X62PLANE420Unorm3PACK16)
    #  1000156014: VK_FORMAT_G10X6_B10X6_R10X6_3PLANE_422_UNORM_3PACK16 (xg.TextureFormat.G10X6B10X6R10X63PLANE422Unorm3PACK16)
    #  1000156015: VK_FORMAT_G10X6_B10X6R10X6_2PLANE_422_UNORM_3PACK16 (xg.TextureFormat.G10X6B10X6R10X62PLANE422Unorm3PACK16)
    #  1000156016: VK_FORMAT_G10X6_B10X6_R10X6_3PLANE_444_UNORM_3PACK16 (xg.TextureFormat.G10X6B10X6R10X63PLANE444Unorm3PACK16)
    #  1000156017: VK_FORMAT_R12X4_UNORM_PACK16 (xg.TextureFormat.R12X4UnormPACK16)
    #  1000156018: VK_FORMAT_R12X4G12X4_UNORM_2PACK16 (xg.TextureFormat.R12X4G12X4Unorm2PACK16)
    #  1000156019: VK_FORMAT_R12X4G12X4B12X4A12X4_UNORM_4PACK16 (xg.TextureFormat.R12X4G12X4B12X4A12X4Unorm4PACK16)
    #  1000156020: VK_FORMAT_G12X4B12X4G12X4R12X4_422_UNORM_4PACK16 (xg.TextureFormat.G12X4B12X4G12X4R12X4422Unorm4PACK16)
    #  1000156021: VK_FORMAT_B12X4G12X4R12X4G12X4_422_UNORM_4PACK16 (xg.TextureFormat.B12X4G12X4R12X4G12X4422Unorm4PACK16)
    #  1000156022: VK_FORMAT_G12X4_B12X4_R12X4_3PLANE_420_UNORM_3PACK16 (xg.TextureFormat.G12X4B12X4R12X43PLANE420Unorm3PACK16)
    #  1000156023: VK_FORMAT_G12X4_B12X4R12X4_2PLANE_420_UNORM_3PACK16 (xg.TextureFormat.G12X4B12X4R12X42PLANE420Unorm3PACK16)
    #  1000156024: VK_FORMAT_G12X4_B12X4_R12X4_3PLANE_422_UNORM_3PACK16 (xg.TextureFormat.G12X4B12X4R12X43PLANE422Unorm3PACK16)
    #  1000156025: VK_FORMAT_G12X4_B12X4R12X4_2PLANE_422_UNORM_3PACK16 (xg.TextureFormat.G12X4B12X4R12X42PLANE422Unorm3PACK16)
    #  1000156026: VK_FORMAT_G12X4_B12X4_R12X4_3PLANE_444_UNORM_3PACK16 (xg.TextureFormat.G12X4B12X4R12X43PLANE444Unorm3PACK16)
    #  1000156027: VK_FORMAT_G16B16G16R16_422_UNORM (xg.TextureFormat.G16B16G16R16422Unorm)
    #  1000156028: VK_FORMAT_B16G16R16G16_422_UNORM (xg.TextureFormat.B16G16R16G16422Unorm)
    #  1000156029: VK_FORMAT_G16_B16_R16_3PLANE_420_UNORM (xg.TextureFormat.G16B16R163PLANE420Unorm)
    #  1000156030: VK_FORMAT_G16_B16R16_2PLANE_420_UNORM (xg.TextureFormat.G16B16R162PLANE420Unorm)
    #  1000156031: VK_FORMAT_G16_B16_R16_3PLANE_422_UNORM (xg.TextureFormat.G16B16R163PLANE422Unorm)
    #  1000156032: VK_FORMAT_G16_B16R16_2PLANE_422_UNORM (xg.TextureFormat.G16B16R162PLANE422Unorm)
    #  1000156033: VK_FORMAT_G16_B16_R16_3PLANE_444_UNORM (xg.TextureFormat.G16B16R163PLANE444Unorm)
    #  1000330000: VK_FORMAT_G8_B8R8_2PLANE_444_UNORM (xg.TextureFormat.G8B8R82PLANE444Unorm)
    #  1000330001: VK_FORMAT_G10X6_B10X6R10X6_2PLANE_444_UNORM_3PACK16 (xg.TextureFormat.G10X6B10X6R10X62PLANE444Unorm3PACK16)
    #  1000330002: VK_FORMAT_G12X4_B12X4R12X4_2PLANE_444_UNORM_3PACK16 (xg.TextureFormat.G12X4B12X4R12X42PLANE444Unorm3PACK16)
    #  1000330003: VK_FORMAT_G16_B16R16_2PLANE_444_UNORM (xg.TextureFormat.G16B16R162PLANE444Unorm)
    #  1000340000: VK_FORMAT_A4R4G4B4_UNORM_PACK16 (xg.TextureFormat.A4R4G4B4UnormPACK16)
    #  1000340001: VK_FORMAT_A4B4G4R4_UNORM_PACK16 (xg.TextureFormat.A4B4G4R4UnormPACK16)
    #  1000066000: VK_FORMAT_ASTC_4x4_SFLOAT_BLOCK (xg.TextureFormat.ASTC4x4Float)
    #  1000066001: VK_FORMAT_ASTC_5x4_SFLOAT_BLOCK (xg.TextureFormat.ASTC5x4Float)
    #  1000066002: VK_FORMAT_ASTC_5x5_SFLOAT_BLOCK (xg.TextureFormat.ASTC5x5Float)
    #  1000066003: VK_FORMAT_ASTC_6x5_SFLOAT_BLOCK (xg.TextureFormat.ASTC6x5Float)
    #  1000066004: VK_FORMAT_ASTC_6x6_SFLOAT_BLOCK (xg.TextureFormat.ASTC6x6Float)
    #  1000066005: VK_FORMAT_ASTC_8x5_SFLOAT_BLOCK (xg.TextureFormat.ASTC8x5Float)
    #  1000066006: VK_FORMAT_ASTC_8x6_SFLOAT_BLOCK (xg.TextureFormat.ASTC8x6Float)
    #  1000066007: VK_FORMAT_ASTC_8x8_SFLOAT_BLOCK (xg.TextureFormat.ASTC8x8Float)
    #  1000066008: VK_FORMAT_ASTC_10x5_SFLOAT_BLOCK (xg.TextureFormat.ASTC10x5Float)
    #  1000066009: VK_FORMAT_ASTC_10x6_SFLOAT_BLOCK (xg.TextureFormat.ASTC10x6Float)
    #  1000066010: VK_FORMAT_ASTC_10x8_SFLOAT_BLOCK (xg.TextureFormat.ASTC10x8Float)
    #  1000066011: VK_FORMAT_ASTC_10x10_SFLOAT_BLOCK (xg.TextureFormat.ASTC10x10Float)
    #  1000066012: VK_FORMAT_ASTC_12x10_SFLOAT_BLOCK (xg.TextureFormat.ASTC12x10Float)
    #  1000066013: VK_FORMAT_ASTC_12x12_SFLOAT_BLOCK (xg.TextureFormat.ASTC12x12Float)
    #  1000054000: VK_FORMAT_PVRTC1_2BPP_UNORM_BLOCK_IMG (xg.TextureFormat.PVRTC12BPPUnormIMG)
    #  1000054001: VK_FORMAT_PVRTC1_4BPP_UNORM_BLOCK_IMG (xg.TextureFormat.PVRTC14BPPUnormIMG)
    #  1000054002: VK_FORMAT_PVRTC2_2BPP_UNORM_BLOCK_IMG (xg.TextureFormat.PVRTC22BPPUnormIMG)
    #  1000054003: VK_FORMAT_PVRTC2_4BPP_UNORM_BLOCK_IMG (xg.TextureFormat.PVRTC24BPPUnormIMG)
    #  1000054004: VK_FORMAT_PVRTC1_2BPP_SRGB_BLOCK_IMG (xg.TextureFormat.PVRTC12BPPSrgbIMG)
    #  1000054005: VK_FORMAT_PVRTC1_4BPP_SRGB_BLOCK_IMG (xg.TextureFormat.PVRTC14BPPSrgbIMG)
    #  1000054006: VK_FORMAT_PVRTC2_2BPP_SRGB_BLOCK_IMG (xg.TextureFormat.PVRTC22BPPSrgbIMG)
    #  1000054007: VK_FORMAT_PVRTC2_4BPP_SRGB_BLOCK_IMG (xg.TextureFormat.PVRTC24BPPSrgbIMG)
    #  1000464000: VK_FORMAT_R16G16_S10_5_NV (xg.TextureFormat.RG16S105NV)
    #  1000470000: VK_FORMAT_A1B5G5R5_UNORM_PACK16_KHR (xg.TextureFormat.A1B5G5R5UnormPACK16KHR)
    #  1000470001: VK_FORMAT_A8_UNORM_KHR (xg.TextureFormat.A8UnormKHR)
}
